* {
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
    font-family: Jost, sans-serif;
}
html,  body{
    width: 100%;
    scroll-behavior: smooth;
    scroll-snap-type: mandatory;
}
:root {
    --border-color1: #160f0a;
    --main-color: #956a47;
    --secondary-color: #ceb198;
    --third-color: #d99937;
    --fourth-color: #492310;
    
    --font-light: #f1f1f1;
    --font-dark: #2c2221;
}
/*----------------------------------------- HEADER  ----------------------------------------*/
header {
    position: fixed;
    top: 0;
    width: 100vw;
    height: 20px;
    font-size: 1rem;
    background: var(--fourth-color);
    color: var(--font-light);
    justify-content: center;
    align-items: center;
    align-content: center;
    display: flex;
    z-index: 100;
}
.announcement-container {
    width: 1450px;
    padding: 2px;
    text-align: center;
}
.announcement {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.75rem;
    letter-spacing: 1.1px;
    white-space: nowrap;
    animation-name: move-right-to-left;
    animation-iteration-count: infinite;
    animation-duration: 25s;
    animation-timing-function: linear;
}
@keyframes move-right-to-left{
    0% {
        transform: translateX(90%);
    }
    100% {
        transform: translateX(-90%);
    }
}
/*----------------------------------------- NAVIGATION  ----------------------------------------*/
nav {
    width: 100vw;
    height: 50px;
    top: 20px;
    position: fixed;
    display: flex;
    background-color: var(--secondary-color);
    z-index: 100;
    justify-content: center;
}
.nav-items {
    width: min(1450px, 90%);
    height: 100%;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.logo{
    aspect-ratio: 3 / 1;
    width: 100px;
    border: 1px solid black;
    padding: 5px;
}
.navigation-buttons {
    display: flex;
    gap: 20px;
    height: 100%;
    justify-content: center;
    align-items: center;
}
#menu-icon{
    color: var(--bg-color);
    font-size: 24px;
    z-index: 7;
    cursor: pointer;
    display: none;
}
.navlinks{
    height: 100%;
    display: flex;
    gap: 50px;
    justify-content: center;
    align-items: center;
    right: 0%;
}
.navlinks.active {
    height: 400px;
    display: flex;
    flex-direction: column;
    padding: 20px;
    position: absolute;
    top: 70px;
    background: white;
    width: 100%;
    z-index: -100;
}
.navlinks a{
    text-decoration: none;
    color: var(--font-dark);
    font-family: Jost, sans-serif;
    font-size: 1.35rem;
    font-weight: 500;
    transition: ease-out 0.3s;
    border-bottom: 2px solid var(--secondary-color);
}
.navlinks a:hover {
    border-bottom: 2px solid var(--border-color1);
}
.user-btn-cntr {
    display: flex;
    border: 1px solid var(--fourth-color);
    border-radius: 10px;
    overflow: hidden;
    height: 80%;
    gap: 1px;
    background-color: var(--fourth-color);
}
.login-btn, .sign-up-btn {
    background-color: var(--secondary-color);
    border: none;
    padding: 5px 20px;
    font-size: 0.9rem;
    transition: 0.2s linear;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}
.user-btn-cntr button:hover {
    background: var(--fourth-color);
    color: white;
    font-size: 1.1rem;
    padding: 3px 20px;
}
.account-user-btn {
    background-color: var(--secondary-color);
    border: none;
    padding: 5px 20px;
    font-size: 0.9rem;
    transition: 0.2s linear;
    cursor: pointer;
    display: none;
    justify-content: center;
    align-items: center;
}
.account-user-btn:hover {
    background: var(--fourth-color);
    color: white;
    font-size: 1.1rem;
    padding: 3px 20px;
}
.user-settings {
    display: none;
    flex-direction: column;
    gap: 5px;
    background: white;
    border-radius: 5px;
    padding: 20px 40px;
    border: 2px solid var(--fourth-color);
    position: absolute;
    right: 0%;
    top: 110%;
}
.user-settings {
    display: none;
}
.user-settings.active {
    display: flex;
}
.user-settings button {
    background: var(--third-color);
    padding: 5px 20px;
    font-size: 1rem;
    color: white;
    border: none;
    border-radius: 5px;
    transition: 0.2s linear;
}
.user-settings button:hover {
    background-color: var(--font-dark);
    scale: 1.2;
}
/*----------------------------------------- USER SETTINGS ----------------------------------------*/
.user-settings-section {
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.75);
    z-index: 100;
    display: none;
    padding: 20px;
}
.user-settings-section.active {
    display: flex;
}
.user-settings-cntr {
    width: min(500px, 90vw);
    position: fixed;
    background-color: #F8F8F8;
    border-radius: 10px;
    padding: 40px 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 200px;
    z-index: 100;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.input-and-label-cntr {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 20px;
    width: 100%;
    align-items: center;
    padding: 5px;
}
.input-and-label-cntr label {
    margin-top: 5px;
}
.input-and-label-cntr input {
    width: 100%;
    padding: 5px 5px 5px 10px;
    border-radius: 5px;
    border: 1px solid black;
}
.save-and-exit-btn {
    width: 100%;
    display: flex;
    gap: 5px;
    padding: 10px 0px 0px;
    justify-content: end;
}
.change-btn {
    padding: 5px 15px;
    font-size: 1rem;
    font-weight: 500;
    letter-spacing: 1px;
    border-radius: 5px;
    border: none;
    color: white;
    transition: 0.2s linear;
    cursor: pointer;
}
.save-changes  {
    background: rgb(72, 189, 72);
}
.save-changes:hover  {
    background: rgb(52, 136, 52);
}
.exit {
    background: rgb(231, 48, 48);
}
.exit:hover {
    background: rgb(184, 39, 39);
}
/*----------------------------------------- MAIN ----------------------------------------*/
main {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    margin-top: 80px;
    width: 100%;
}
/* ----------------------------------------- HOMEPAGE ----------------------------------------*/
.homepage-section {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.homepage-cntr {
    width: min(1450px, 100%);
    display: flex;
    gap: 10px;
}
.homepage-left {
    width: 100%;
    height: 800px;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
}
.homepage-left img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.homepage-left p {
    width: 100%;
    align-content: end;
    z-index: 2;
    position: absolute;
    bottom: 0%;
    color: white;
    font-size: clamp(1.5rem, 3vw, 2.2rem);
    padding: 10px;
    line-height: 1.8;
    background: linear-gradient(rgba(0, 0, 0, 0.01), rgba(0, 0, 0, 1));
}
.homepage-right {
    width: 100%;
    height: 800px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.intro-container {
    width: 100%;
    height: 50%;
    position: relative;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.intro-container img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    filter: brightness(30%);
    position: absolute;
}
.intro-container p {
    width: 100%;
    height: 50%;
    left: 0%;
    top: 0%;
    display: flex;
    font-weight: 500;
    font-size: clamp(2rem, 3.5vw, 3rem);
    align-content: center;
    padding: 20px 40px;
    z-index: 2;
    color: white;
    flex-wrap: wrap;
    display: inline;
}
.japanes-word {
    color: var(--third-color);
}
.top-selling-cntr {
    width: 100%;
    height: 50%;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;  
}
.top-selling-title-txt {
    width: 100%;
    display: flex;
    font-size: clamp(1.5rem, 3vw, 2.8rem);
    border-top: 2px solid var(--fourth-color);
    border-bottom: 2px solid var(--fourth-color);
    justify-content: center;
    align-items: center;
    padding: 0px 10px;
}
.top-sell-prod-cntr {
    height: 100%;
    width: 100%;
}
.top-sell-prod-cntr {
    padding: 0px 5px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
    overflow: hidden;
}
.prod-cntr {
    overflow: hidden;
    background-color: var(--main-color);
    border-radius: 10px;
    display: grid;
    grid-template-rows: 75% 25%;
}
.prod-img {
    overflow: hidden;
    background-color: #492310;
}
.prod-img img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: 0.2s linear;
}
.prod-img img:hover {
    scale: 1.1;
}
.price-and-product-cntr {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    text-align: center;
    line-height: 1.2;
    padding: 5px;
}
.prod-name {
    color: white;
    letter-spacing: 1px;
    font-size: clamp(0.85rem, 1.5vw, 1.2rem);
}
.prod-price {
    color: rgb(66, 238, 66);
    letter-spacing: 3px;
    font-size: clamp(0.9rem, 1.55vw, 1.25rem);
}
/*----------------------------------------- SECTION SIGNUP AND LOGIN ----------------------------------------*/
#login-and-sign-up-section {
    width: 100%;
    min-height: 100vh;
    background-color: #f1f1f1;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    position: relative;
    z-index: 10;
    overflow: hidden;
}
.login-and-sign-up-cntr {
    width: min(800px, 95%);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
}
#wave {
    width: 100%;
    position: absolute;
    bottom: 0%;
    z-index: -1;
}
#sign-or-log-txt{
    font-size: 2.5rem;
    padding: 5px 0;
    border-bottom: 2px solid var(--border-color1);
    border-top: 2px solid var(--border-color1);
    z-index: 25;
}
#up-or-in-txt{
    color: var(--third-color);
    font-size: 2.5rem;
    padding: 5px 0;
    border-bottom: 2px solid var(--border-color1);
    border-top: 2px solid var(--border-color1);
    z-index: 25;
}
/*-------------------------- SIGNUP FORM ---------------*/
#register-form {
    width: min(800px, 100%);
    min-height: 450px;
    padding: 20px 0px;
    background: white;
    display: none;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    box-shadow: 5px 5px 10px  #696969;
    gap: 20px;
}
#register-form button {
    border: none;
    padding: 10px 20px;
    font-size: 20px;
    font-weight: 500;
    border-radius: 5px;
    transition: 0.2s;
}
#register-form button:hover {
    background: var(--main-color);
    color: var(--font-light);
    color: #fff;
    cursor: pointer;
}
.input-fields-cntr {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 5px 10px;
    width: min(100%, 600px);
    padding: 5px;
}
.input-fields-cntr div {
    display: flex;
    width: min(100%, 300px);
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.register-inputs-cntr label {
    width: min(300px, 100%);
    font-size: 1rem;
    font-weight: 550;
    text-align: left;
}
.register-inputs-cntr input {
    width: min(500px, 100%);
    height: 30px;
    border-radius: 5px;
    border: 1px solid var(--border-color1);
    padding-left: 5px;
    font-size: 1rem;
    transition: linear 0.15s;
}
.register-inputs-cntr input:focus {
    box-shadow: 8px 8px 3px -2px var(--main-color);
}
/*-------------------------- LOGIN FORM ---------------*/
#login-form {
    width: min(800px, 100%);
    min-height: 450px;
    padding: 20px 0px;
    background: white;
    display: flex;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    box-shadow: 5px 5px 10px  #696969;
    gap: 20px;
}
.login-input-fields-cntr {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    width: min(100%, 600px);
    padding: 5px;
}
.login-input-fields-cntr div {
    display: flex;
    width: min(100%, 300px);
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.login-inputs-cntr input{
    width: min(500px, 100%);
    height: 30px;
    border-radius: 5px;
    border: 1px solid var(--border-color1);
    padding-left: 5px;
    font-size: 1rem;
    transition: linear 0.15s;
}
.login-inputs-cntr input:focus{
    box-shadow: 8px 8px 3px -2px var(--main-color);
}
.login-inputs-cntr label {
    width: min(300px, 100%);
    font-size: 1rem;
    font-weight: 550;
    text-align: left;
}
.login-input-fields-cntr button {
    border: none;
    background: none;
    font-size: 1rem;
    text-decoration: underline;
    transition: linear 0.15s;
    cursor: pointer;
}
.login-input-fields-cntr button:hover {
    color: var(--third-color);
}
#click-here-span, #click-here-button {
    font-size: 0.85rem;
}
#click-here-button {
    border: none;
    background: none;
    cursor: pointer;
    transition: 0.2s linear;
    text-decoration: underline;
}
#click-here-button:hover {
    color: var(--third-color);
}
#login-user-btn:hover {
    background: var(--main-color);
    color: var(--font-light);
    color: #fff;
    cursor: pointer;
}
#show-hide-password {
    border: none;
    background: none;
    cursor: pointer;
    font-size: 0.85rem;
    text-decoration: underline;
}
#login-user-btn {
    border: none;
    padding: 10px 20px;
    font-size: 20px;
    font-weight: 500;
    border-radius: 5px;
    transition: 0.2s;
}
#login-user-btn:hover {
    background: var(--main-color);
    color: var(--font-light);
    color: #fff;
    cursor: pointer;
}
/*----------------------------------------- FOOTER  ----------------------------------------*/
footer {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    background: #dedede;
}
.footer-contents-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width:1450px;
    width: 1450px;
}
.social-media, .information, .our-mission {
    min-height: 300px;
    max-width: 500px;
    display: flex;
    flex-direction: column;
    padding: 10px;
    align-items: center;
    gap: 20px;
}
.footer-titles { 
    text-transform: uppercase;
    font-size: 22px;
    color: var(--third-color);
} 
.footer-contents{
    font-family: Jost, sans-serif;
    font-size: 15px;
    text-align: justify;
    text-indent: 20px;
    align-self: center;
}
.social-media-container {
    display: flex;
    flex-direction: column;
}
.social-media a{
    text-decoration: none;
    width: 100%;
}
.social-media a:hover{
    text-decoration: underline;
}
.social-media i{
    font-size: 22px;
    margin-bottom: 5px;
    color: var(--third-color);
    margin-right: 5px;
    width: 10%;
    justify-content: flex-end;
}
.logo-title{
    color: black;
    font-family: Jost, sans-serif;
    font-size: 16px;
}
/*----------------------------------------- RESPONSIVENESS  ----------------------------------------*/
@media only screen and (max-width: 900px) {
    .homepage-cntr {
        width: min(700px, 90%);
        display: flex;
        flex-direction: column;
    }
    /*! navigation*/
    #menu-icon{
        display: initial;
    }
    .navlinks{
        height: auto;
        position: fixed;
        top: -500px;
        width: 100vw;
        display: flex;
        flex-direction: column;
        background: white;
        transition: 0.3s;
        text-align: center;
        padding: 20px 0px;
        z-index: -100;
    }
    .navlinks.active {
        height: auto;
        position: fixed;
        top: 70px;
        width: 100vw;
        display: flex;
        flex-direction: column;
        background: white;
        transition: 0.3s;
        text-align: center;
        padding: 20px 0px;
        z-index: -100;
    }
}
@media only screen and (max-width: 600px) {
    .homepage-cntr {
        width: 100%;
        display: flex;
    }
    .homepage-left {
        border-radius: 0;
    }
    .intro-container img {
        border-radius: 0;
    }
    .input-fields-cntr {
        display: grid;
        grid-template-columns: 1fr;
        place-items: center;
        gap: 10px;
        width: min(100%, 740px);
        padding: 5px;
    }
}
@media only screen and (max-width: 450px) {
    .top-sell-prod-cntr {
        width: min(100%, 300px);
        grid-template-columns: 1fr;
        gap: 3px;
        overflow: hidden;
    }
    .prod-cntr {
        grid-template-columns: 1.2fr 0.8fr;
        grid-template-rows: auto;
    }
}